Subject: Re: [PATCH] sparse: ignore warning from new glibc headers

From: Junio C Hamano <[email-masked]>
Date: Wed, 17 Jul 2024 15:53:47 -0700

Ramsay Jones <[email-masked]> writes:

> On 17/07/2024 20:20, Ramsay Jones wrote:
> [snip]
>
>> (SP_EXTRA_FLAGS didn't exist then)
> This is absolute rubbish, of course! ;)
>
> I don't know what I was thinking, but I suspect I was thinking about
> the recent _APPEND variables - except they were only for CFLAGS and
> LDFLAGS! Ho Hum.
>
> Sorry about that.

That's OK.  So in short, with a separate SP_EXTRA_FLAGS with "-Wno-vla",
Luc's patch is a sufficient fix without any downsides, no?